
Nirva Application Platform - Bug #79

Cleanup session in service where session not initialized

11/08/2012 10:07 AM - Lionel Martin

Status: Resolved Start date: 11/08/2012

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 100%

Category: Application Platform Estimated time: 8.00 hours

Target version: 4.7.006   

Operating System: Any Tested: No

Version: 4.7.005   

Description

We have an issue with the management of sessions in our service.

The session_open of our application uses the service, and in the cleanup of the session in the service we run Nirva commands (but

reproduced with a MISC:NOP).

The problem occurs when the session_open of our application returns an error.

In this case, the session is not initialized by the Nirva server, but the server still runs the service cleanup code. In this particular case,

when in the cleanup code we run the Nirva commands, they all return with a Nirva error SYSTEM:SESSION:107.

Thank you to help us manage this particular case.

History

#1 - 11/08/2012 10:43 AM - Pierre Marc

- Assignee set to Pierre Marc

This is a situation that can occur. We'll have a look on a solution and come back to you.

#2 - 02/14/2013 12:43 PM - Pierre Marc

- Status changed from New to Resolved

- Target version set to 4.7.006

- % Done changed from 0 to 100

- Estimated time set to 8.00

Bug corrected in v 4.7.006
